Skip to content
Esc
↑↓navigate↵open⌘Jpreview

List all collections

Deprecated: Use the Collections V2 API. Retrieves paginated list of collections with translations and redirects. Supports search filtering and pagination.

GET/api/v1/{team_slug}/{app_slug}/collectionsdeprecated
Authorization
AuthorizationBearer token · headerrequired

Management API token, sent as Authorization: Bearer <token>.

Path parameters
app_slugstringrequired

App slug

team_slugstringrequired

Team slug

Query parameters
pageinteger

Page number

per-pageinteger

Number of items per page

idstring[]

Filter by collection IDs (can be repeated)

Responses
200

All collections for the app

datagithub_com_enadhq_nabbit_internal_pkg_webserver_models.Collection[]required
Show properties
Array of github_com_enadhq_nabbit_internal_pkg_webserver_models.Collection
childrengithub_com_enadhq_nabbit_internal_pkg_webserver_models.Collection[]
Show properties
Array of github_com_enadhq_nabbit_internal_pkg_webserver_models.Collection
Circular reference to github_com_enadhq_nabbit_internal_pkg_webserver_models.Collection.
created_atstring
idstring
parent_idstring | null
redirectsgithub_com_enadhq_nabbit_internal_pkg_webserver_models.Redirects[] | null
Show properties
Array of github_com_enadhq_nabbit_internal_pkg_webserver_models.Redirects
idstring
item_idstring | null
localestring
new_slugstring
old_slugstring
typegithub_com_enadhq_nabbit_internal_pkg_webserver_models.RedirectType
Allowed:productpagecollectioncategoryproduct_bundle
slugstringrequired
statusstringrequired
Allowed:activeinactivedraft
titlestring
translationsgithub_com_enadhq_nabbit_internal_pkg_webserver_models.CollectionTranslation
Show properties
sluggithub_com_enadhq_nabbit_internal_pkg_webserver_models.Translation[] | null
Show properties
Array of github_com_enadhq_nabbit_internal_pkg_webserver_models.Translation
idstring
localestring
valuestring
titlegithub_com_enadhq_nabbit_internal_pkg_webserver_models.Translation[] | null
updated_atstring | null
uristring
successboolean
totalinteger
total_pagesinteger
400

Invalid request (e.g. bad UUID, validation error)

detailsstring[]
messagestring
successbooleanrequired
401

Unauthorized access

detailsstring[]
messagestring
successbooleanrequired
422

Invalid request and not parsable by backend

detailsstring[]
messagestring
successbooleanrequired
500

Internal server error

detailsstring[]
messagestring
successbooleanrequired
Try it
Server
Authorization
Parameters
Request
curl -X GET 'https://api.enad.io/api/v1/string/string/collections' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Accept: application/json'
Response
{
  "data": [
    {
      "children": [
        {}
      ],
      "created_at": "string",
      "id": "string",
      "parent_id": "string",
      "redirects": [
        {
          "id": "string",
          "item_id": "string",
          "locale": "string",
          "new_slug": "string",
          "old_slug": "string",
          "type": "product"
        }
      ],
      "slug": "string",
      "status": "active",
      "title": "string",
      "translations": {
        "slug": [
          {
            "id": "string",
            "locale": "string",
            "value": "string"
          }
        ],
        "title": [
          {
            "id": "string",
            "locale": "string",
            "value": "string"
          }
        ]
      },
      "updated_at": "string",
      "uri": "string"
    }
  ],
  "success": true,
  "total": 0,
  "total_pages": 0
}